%define upstream_name    String-Approx
%define upstream_version 3.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension for approximate matching (fuzzy matching)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
String::Approx lets you match and substitute strings approximately. With this
you can emulate errors: typing errorrs, speling errors, closely related
vocabularies (colour color), genetic mutations (GAG ACT), abbreviations
(McScot, MacScot).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
%makeinstall_std


%files 
%doc COPYRIGHT ChangeLog LGPL META.yml MYMETA.yml PROBLEMS README
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 3.270.0-11pclos2017
- rebuild against updates

